//-------------------------------------------------------------------
//
//  INC:      F l o a t                          10.06.92,  12.12.99
//
//  include file for easy selection of floating point type
//
//-------------------------------------------------------------------

{$ifopt N-}                               {12.12.99}
  type float = real;
  const minFloat = -1E+37;                {min. float value}
        maxFloat = +1E+37;                {max. float value}
        overflow = 0.9999E+38;            {float overflow}
        maxExp   = 88.0;
{$else}
(*
  type float = single;
  const minFloat = -1E+45;
        maxFloat = +1E+37;
        overflow = 0.9999E+38;
        maxExp   = 88;
*)
  type float = double;
  const minFloat = -1E+308;
        maxFloat = +1E+308;
        overflow = 0.9999E+308;
        maxExp   = 11355.0;
{$endif}

