//-------------------------------------------------------------------
//
//  INC:      C o m p _ O p t                    10.06.92,  12.12.99
//
//  include file for easy selection of DEBUG / RELEASE compilation
//
//-------------------------------------------------------------------
{$define xTEST  Switch for DEBUG / RELEASE compilation}

{$ifdef TEST}
  {$D+,L+,Y+   Debug Information, Local Symbols, Symbolinfo}
  {$R+,S+      Range Checking, Stack Checking}
  {$Q+         Integer Overflow Checking}
  {$O-         Optimization}
{$else} {$D-,L-,Y-,Q-,R-,S-,O+}      {$endif}

{$A+   Align Fields}
{$B+   Boolean short-circuit evaluation}
{$I-   No Input/output checking}
{$V-   No Var-string checking}
{$T-   No Type-checked pointers}
{$X-   No Extended syntax}

{$ifdef TEST}
  {conditional Defines for debugging !!!}
  {$define InitTest}
  {$define ExitTest}
{$endif}

{$define useAsm    switches to alternate assembler routines}

